Symptoms:
When you launch QuickBooks software, you may encounter the following error message, even though you're running Internet Explorer v6.0 or above.

"This version of QuickBooks requires Internet Explorer 6.0"

Cause:
This error is misleading and the problem is due to a missing or incorrect App Paths value in the registry. The App Paths value in 8.3 format is the major cause.

Resolution:

  • Click Start, Run and type REGEDIT. Which will open the Registry Editor.
  • Navigate to the following location: HKEY_LOCAL_MACHINESoftwareMicrosoftWindowsCurrentVersionApp PathsIEXPLORE.EXE.
  • Backup the key by right-clicking and selecting Export and exporting it to a REG file.
  • In the right-pane, double-click (default) and type-in the full path where Internet Explorer resides (usually, C:Program FilesInternet ExplorerIExplore.exe). Don't type the value in 8.3 format, it should be in Long File Name format.
  • If IExplore.exe key does not exist, create a new key and complete the above procedure. Restart Windows for the changes to take effect, and then launch QuickBooks. The error should no longer be seen.